# List accounting event types List accounting event types for your organization. Refer to the [Search for accounting event types](doc:search-for-accounting-event-types) for more information. # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Core platform - Accounting", "version": "1.0.0", "description": "API used to manage the accounting context", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io/accounting", "description": "Sandbox API server for testing" } ], "components": { "schemas": { "EventType": { "required": [ "id", "description" ], "type": "object", "properties": { "id": { "type": "integer", "format": "int64", "description": "Event type ID" }, "description": { "type": "string", "maximum": 100, "description": "Event type description" } }, "example": { "id": 101, "description": "CREDIT" } }, "Page": { "type": "object", "properties": { "has_next": { "type": "boolean", "description": "Indicates if there are more items to be retrieved." }, "items": { "type": "array", "description": "Items retrieved from a given request.", "items": { "type": "object" } } } } }, "parameters": { "pageSize": { "in": "query", "name": "pageSize", "description": "Maximum number of accounting event types per page.", "schema": { "type": "integer" } }, "pageOffset": { "name": "pageOffset", "in": "query", "description": "Number to offset page resuts. For example, value `2` returns the third page. Defaults to `0`, which returns the first page.", "schema": { "type": "integer" } } } }, "tags": [ { "name": "Accounting event types", "description": "Endpoints to manage accounting event types" } ], "paths": { "/v1/event-types": { "get": { "operationId": "SearchEvents", "summary": "List accounting event types", "description": "List accounting event types for your organization.\n\nRefer to the [Search for accounting event types](https://developers.pismo.io/pismo-docs/docs/search-for-accounting-event-types) for more information.\n", "tags": [ "Accounting event types" ], "parameters": [ { "$ref": "#/components/parameters/pageSize" }, { "$ref": "#/components/parameters/pageOffset" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "allOf": [ { "$ref": "#/components/schemas/Page" }, { "properties": { "items": { "type": "array", "items": { "$ref": "#/components/schemas/EventType" } } } } ] } } } }, "400": { "description": "Bad request" } }, "deprecated": false } } } } ```